c     print*,'nx,ny=?'
c     read*,nx,ny
       nx=100            ! grid dimensions NX and NY
       ny=100            !
      
       Pi=3.141592654    !well known fact
      
       dx=1.5*Pi/(nx-1.) !the grid step along the X coordinate
c     dy=1.5*Pi/(ny-1.)
       dy=dx             !the grid step along the Y coordinate
       print*,nx,ny      ! writing the header of a file
      
       y=0
         do i=1,ny   
       x=0
      
              do j=1,nx
                  print*,sin(x*y)   !writing the data
              x=x+dx
              end do
          
        y=y+dy
        end do
        
      stop
      end
      
c     That's it!      